net.sf.jasperreports.engine.data

## Class JRHibernateScrollDataSource

- java.lang.Object
- - net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource
  - - net.sf.jasperreports.engine.data.JRHibernateScrollDataSource

- All Implemented Interfaces:
    JRDataSource, JRRewindableDataSource

      public class JRHibernateScrollDataSource
      extends JRHibernateAbstractDataSource
      implements JRRewindableDataSource

  Hibernate data source that uses `org.hibernate.Query.scroll()`.
  Version:
    $Id: JRHibernateScrollDataSource.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource

      `JRHibernateAbstractDataSource.FieldReader, JRHibernateAbstractDataSource.IdentityFieldReader, JRHibernateAbstractDataSource.IndexFieldReader, JRHibernateAbstractDataSource.IndexPropertyFieldReader, JRHibernateAbstractDataSource.PropertyFieldReader`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource

      `queryExecuter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRHibernateScrollDataSource(JRHibernateQueryExecuter queryExecuter, boolean useFieldDescription)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `moveFirst()` Moves back to the first element in the data source.
    `boolean` | `next()` Tries to position the cursor on the next element in the data source.

    - ### Methods inherited from class net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource

      `assignReaders, getFieldMapping, getFieldReader, getFieldReaderSingleReturn, getFieldValue, setCurrentRowValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRDataSource

      `getFieldValue`

- - ### Constructor Detail

    - #### JRHibernateScrollDataSource

          public JRHibernateScrollDataSource(JRHibernateQueryExecuter queryExecuter,
                                     boolean useFieldDescription)

  - ### Method Detail

    - #### next

          public boolean next()
                       throws JRException

      Description copied from interface: `JRDataSource`
      Tries to position the cursor on the next element in the data source.
      Specified by:
        `next` in interface `JRDataSource`
      Returns:
        true if there is a next record, false otherwise
      Throws:
        `JRException` - if any error occurs while trying to move to the next element

    - #### moveFirst

          public void moveFirst()

      Description copied from interface: `JRRewindableDataSource`
      Moves back to the first element in the data source.
      Specified by:
        `moveFirst` in interface `JRRewindableDataSource`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com